#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
const int N=1e5+15;
inline ll read(){
	ll x=0;char f=1,c=getchar();
	while(c<'0'||c>'9'){if(c=='-')f=0;c=getchar();}
	while(c>='0'&&c<='9'){x=(x<<1)+(x<<3)+(c-48),c=getchar();}
	return f?x:-x;
}
int solve(){
	return 0;
}
int main(){
//	freopen("traverse.in","r",stdin);
//	freopen("traverse.out","w",stdout);
	int T=1;
	while(T--){
		solve();
		if(T!=0){printf("\n");}
	}
	return 0;
}
